For the complete documentation index, see llms.txt. This page is also available as Markdown.

Info

Read-only endpoints to obtain network, Proof-of-Transfer, Stacking, STX token, and node information

API status

get

Retrieves the running status of the Stacks Blockchain API, including the server version and current chain tip information.

Responses
200

Default Response

application/json
server_versionstringRequired

the server version that is currently running

statusstringRequired

the current server status

get/extended
GET /extended HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
  "server_version": "text",
  "status": "text",
  "chain_tip": {
    "block_height": 1,
    "block_hash": "text",
    "index_block_hash": "text",
    "burn_block_height": 1
  }
}

Last updated

Was this helpful?